Bug 475117 - Reply to digest message doesn't quote the body
Reply to digest message doesn't quote the body
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
18
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 19:23 EST by Matthew Saltzman
Modified: 2013-02-01 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 14:02:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mbox file with digest message (43.10 KB, text/plain)
2013-01-22 16:07 EST, Matthew Saltzman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 680537 None None None Never

  None (edit)
Description Matthew Saltzman 2008-12-07 19:23:38 EST
Description of problem:
When I reply to a message in Mailman MIME-format digest where the body is indented from the left margin, the body of the message is not quoted.

Version-Release number of selected component (if applicable):
evolution-2.24.2-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Subscribe to fedora-list in MIME digest mode.
2. Wait for a message where the body is indented (happens with reasonable frequency).
3. Select reply-to-list from the message pop-down menu.
  
Actual results:
The message composition window opens. The quote heading line ("So-and-so wrote:") appears, but no part of the message is quoted.

Expected results:
The body of the message is quoted in whatever format I chose (e.g., preceded by '>').

Additional info:
Does not appear to be a problem when replying to regular messages.
Comment 1 Matthew Barnes 2009-01-27 12:47:37 EST
Can you point me to a particular message on fedora-list or elsewhere so I can try to reproduce this?
Comment 2 Matthew Saltzman 2009-01-27 21:14:32 EST
In fedora-list Digest, Vol 59, Issue 158, message 5 is from Gang Ma <contactmagang@gmail.com> with subject "install different gcc on fedora 10 for PPC 64".

It actually doesn't look like it's related to indenting now that I browse around other messages, but there's something different about this message from others.  When I select "reply to list" from the message menu, I get a new message window and the line "On Sun, 2009-01-18 at 20:26 -0500, Gang Ma wrote:" but no copy of the body of Ma's message.

I get the digest, so I don't know for sure if this is an issue with digests or with the messages within.
Comment 3 Mike Chambers 2009-03-07 09:50:50 EST
Is this still a problem and/or have you upgraded to a newer version? 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matthew Saltzman 2009-03-07 13:46:22 EST
(In reply to comment #3)
> Is this still a problem and/or have you upgraded to a newer version? 

Still an issue with evolution-2.24.5-1.fc10.x86_64.
Comment 5 Bug Zapper 2009-11-18 05:23:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:11:40 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Matthew Saltzman 2010-03-31 11:17:57 EDT
I hadn't run into this for a while, but I just had it happen in evolution-2.28.3-1.fc12.x86_64.
Comment 8 Matthew Saltzman 2010-06-13 17:25:31 EDT
Problem persists in evolution-2.30.1-8.fc13.x86_64.
Comment 9 Matthew Saltzman 2010-06-13 17:30:08 EDT
And it does indeed seem to be related to the quoted lines having leading tabs.

The latest example I found is a post to users@lists.fedoraproject.org:

From: 	Shaun Jones <mister.s.jones@gmail.com>
Reply-to: 	Community support for Fedora users <users@lists.fedoraproject.org>
To: 	Community support for Fedora users <users@lists.fedoraproject.org>
Subject: 	Re: Hibernate and resume
Date: 	Sun, 13 Jun 2010 14:55:39 -0500 (06/13/2010 03:55:39 PM)
Comment 10 Bug Zapper 2011-06-02 14:21:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 10:03:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Matthew Saltzman 2013-01-22 08:33:10 EST
Please reopen this bug or let me know if I should refile. The problem has reappeared in evolution-3.6.2-3.fc18.

A message in the Fedora users list Digest, Vol 107, Issue 89 (MIME format) from tchollingsworth AT gmail DOT com with subject "Re: The changing Fedora" exhibits the problem.  Selecting Reply from the dropdown menu opens a new message with the citation line "On Tue, 2013-01-22 at 04:28 -0700, T.C. Hollingsworth wrote:" but does not copy the message body.
Comment 13 Milan Crha 2013-01-22 14:11:21 EST
Thanks for the update. I'm pretty sure it's a different issue, in 3.6.x had been rewritten the way how messages are parsed and formatted, thus there might broke something. I would rather like to see a new bug report being opened for this, but if you prefer this way, then I'm fine too.

About the test message, would it be possible to save the message into an mbox (the whole message, by right-clicking the message in the message list above message preview and choose "Save as mbox", and attach it here, please? I do not use message digest, neither I'm sure which list you mean, because I couldn't find it here [1], somehow - nonetheless the archived do not provide digests, as far as I know.

[1] https://www.redhat.com/mailman/listinfo
Comment 14 Matthew Saltzman 2013-01-22 16:07:15 EST
Created attachment 685451 [details]
mbox file with digest message

Replying to first message creates new message window with empty quote.
Comment 15 Matthew Saltzman 2013-01-22 16:07:39 EST
If you don't mind working with this bug id, that's fine with me.

Right, the list is at http://lists.fedoraproject.org/mailman/listinfo/users.

I am attaching a digest post with a message that fails. Try reply-to-all with the first message from Greg Woods to see the effect.
Comment 16 Milan Crha 2013-01-23 06:31:25 EST
Thanks for the file. I can reproduce the issue with it.
Comment 17 Milan Crha 2013-01-23 14:02:03 EST
I managed to re-fix this for 3.6.4. Please see the upstream bug [1], which I just reopened.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=680537
Comment 18 Matthew Saltzman 2013-01-23 14:20:29 EST
Obviously not in the 3.6.6 that just hit updates-testing, I take it?
Comment 19 Milan Crha 2013-01-24 04:50:56 EST
"Right", it's not part of the 3.6.3 release. The 3.6.3 was released just before I managed to cook the fix.
Comment 20 Fedora Update System 2013-01-24 07:52:03 EST
evolution-mapi-3.6.3-1.fc18, evolution-ews-3.6.3-1.fc18, evolution-data-server-3.6.3-1.fc18, gtkhtml3-4.6.2-1.fc18, evolution-3.6.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-1340/evolution-mapi-3.6.3-1.fc18,evolution-ews-3.6.3-1.fc18,evolution-3.6.3-2.fc18,evolution-data-server-3.6.3-1.fc18,gtkhtml3-4.6.2-1.fc18
Comment 21 Matthew Saltzman 2013-01-24 08:40:54 EST
(In reply to comment #19)
> "Right", it's not part of the 3.6.3 release. The 3.6.3 was released just
> before I managed to cook the fix.

Yes, sorry, just misread the version number.
Comment 22 Fedora Update System 2013-02-01 12:17:07 EST
evolution-mapi-3.6.3-1.fc18, evolution-ews-3.6.3-1.fc18, evolution-data-server-3.6.3-1.fc18, gtkhtml3-4.6.2-1.fc18, evolution-3.6.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.